Package Details: vmd-src 1.9.4a43-2

Git Clone URL: https://aur.archlinux.org/vmd-src.git (read-only, click to copy)
Package Base: vmd-src
Description: Visual Molecular Dynamics
Upstream URL: http://www.ks.uiuc.edu/Research/vmd/
Licenses: custom
Conflicts: vmd, vmd-bin
Submitter: a.kudelin
Maintainer: a.kudelin
Last Packager: a.kudelin
Votes: 3
Popularity: 0.42
First Submitted: 2019-05-24 13:23
Last Updated: 2020-08-12 14:48

Dependencies (14)

Required by (0)

Sources (3)

Latest Comments

a.kudelin commented on 2020-09-20 07:13

@mehedeetalha, you should download the source first from the website.

mehedeetalha commented on 2020-09-19 04:07

Building vmd-src... ==> Making package: vmd-src 1.9.4a43-2 (Sat 19 Sep 2020 10:03:48 AM +06) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... ==> ERROR: vmd-1.9.4a43.src.tar.gz was not found in the build directory and is not a URL. Failed to build vmd-src

Ondrian commented on 2020-08-11 12:47

I get an error

Building all supported targets...
Unrecognized host system, add your own switch statement to customize
for your build environment.  Edit build.csh and change the variables
in the section marked XXXNEWPLATFORM.
Populating distribution directory with compiled plugins
mkdir: cannot create directory ‘/include’: Permission denied
cp: cannot create regular file '/include': Permission denied

which can be solved by removing world from line 55 in PKGBUILD.

Afterwards I get error concerning the cuda compute capability.

nvcc -lineinfo --ptxas-options=-v -gencode arch=compute_30,code=compute_30 -gencode arch=compute_30,code=sm_35 -gencode arch=compute_30,code=sm_37 -gencode arch=compute_50,code=compute_50 -gencode arch=compute_50,code=sm_50 -gencode arch=compute_60,code=compute_60 -gencode arch=compute_60,code=sm_60 -gencode arch=compute_70,code=compute_70 -gencode arch=compute_70,code=sm_70 --ftz=true  --machine 64 -O3  -DARCH_LINUXAMD64 -DVMDOPENGL -DVMDOPENGLPBUFFER -DVMDEGLPBUFFER  -DVMDOPENGL -DVMDFLTKOPENGL  -DVMDCOLVARS -DVMDCUDA -DMSMPOT_CUDA -DVMDOPENCL -DVMDMPI  -DVMDIMD -DVMDXINERAMA -DVMDXINPUT -DVMDLIBOSPRAY -DVMDOSPRAY_INTERACTIVE_OPENGL -DVMDLIBPNG -DVMDPYTHON -DVMDTHREADS -DWKFTHREADS -DUSEPOSIXTHREADS -D_REENTRANT -DVMDZLIB -DVMDQUICKSURF -DVMDWITHCARBS -DVMDPOLYHEDRA -DVMDSURF -DVMDMSMS -DVMDNANOSHAPER -DVMDLATTICECUBES -DVMDTCL -DVMDTK  -DVMDSTATICPLUGINS  -DVMDGUI -DVMDFLTK  -I/usr/include/CL -I/usr/include    -I/usr/local/ospray-1.8.5.x86_64.linux/include -I/usr/local/ospray-1.8.5.x86_64.linux/ospray/include  -I/Projects/vmd/vmd/lib/libpng/include -I/usr/include/python2.7 -I -I  -I/Projects/vmd/vmd/lib/zlib/include -I../lib/tcl/include -I../lib/tk/include -I../plugins/include -I../plugins/LINUXAMD64/molfile -I../lib/netcdf/include -I../lib/fltk/include -I. -c msmpot_cuda.cu -o ../LINUXAMD64/msmpot_cuda.o
Compiling  fitrms.c  -->  fitrms.o  ...
Compiling  msmpot_cuda.cu  -->  msmpot_cuda.o  ...
nvcc fatal   : Unsupported gpu architecture 'compute_30'
make: *** [Makefile:621: msmpot_cuda.o] Error 1

I assume this is because the current cuda 11 supports only compute capability 5.2 - 8.0.

This could probably be fixed in configure.patch, but I didn't figure out how.